Package org.apache.aries.jax.rs.rest.management.schema

## Class FrameworkStartLevelSchema

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO
    - - org.apache.aries.jax.rs.rest.management.schema.FrameworkStartLevelSchema

    public class FrameworkStartLevelSchema
    extends org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO

### Field Summary

### Fields inherited from class org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO

`initialBundleStartLevel, startLevel`

### Constructor Summary

Constructors
`FrameworkStartLevelSchema()`

### Method Summary

All Methods Static Methods Concrete Methods
`static FrameworkStartLevelSchema` `build​(int initialBundleStartLevel, int startLevel)`
`static FrameworkStartLevelSchema` `build​(org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO frameworkStartLevelDTO)`

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FrameworkStartLevelSchema

    public FrameworkStartLevelSchema()

### Method Detail

#### build

    public static FrameworkStartLevelSchema build​(int initialBundleStartLevel,
                                                  int startLevel)

#### build

    public static FrameworkStartLevelSchema build​(org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO frameworkStartLevelDTO)